### Method

# Gtk TextViewset_buffer

#### Declaration [src]

    void
    gtk_text_view_set_buffer (
      GtkTextView* text_view,
      GtkTextBuffer* buffer
    )

#### Description [src]

Sets `buffer` as the buffer being displayed by `text_view`.

The previous buffer displayed by the text view is unreferenced, and a reference is added to `buffer`. If you owned a reference to `buffer` before passing it to this function, you must remove that reference yourself; `GtkTextView` will not “adopt” it.

Sets property | `Gtk.TextView:buffer`

#### Parameters

`buffer`

  Type: `GtkTextBuffer`

  A `GtkTextBuffer`

  The argument can be `NULL`.
  The data is owned by the caller of the method.